let options = {
    numbers: [],
    change_reqest: 5,
    time_delays_add: [2,5],
    diapason_akk: [],
};

$('#add_contact_start').on('click', async function () {
    //Получение данных из textarea
    options.numbers = [];
    let lines = $('#get_phones').val().split(/\n/);
    //let texts = [];
    for (var i = 0; i < lines.length; i++) {
        if (/\S/.test(lines[i])) {
            options.numbers.push($.trim(lines[i]));
        }
    }

    let change_reqest = Number($('#change_reqest').val());
    if (change_reqest !== 0) {
        options.change_reqest = change_reqest;
    }

    let time_delays_from = $('#time_delays_from').val();
    let time_delays_before = $('#time_delays_before').val();
    if(parseInt(time_delays_from) >= parseInt(time_delays_before)){
        error('Значение времени "до" не может быть меньше!')
        return
    } else {
        options.time_delays_add[0] = time_delays_from;
        options.time_delays_add[1] = time_delays_before;
    }

    clear_log = 0
    let json = JSON.stringify(options);
    //Получили json обьект
    let this_class = $(this).hasClass("btn-success");
    if (this_class == true) {
        $(this).removeClass('btn-success');
        $(this).addClass('btn-danger');
        $(this).text("Остановить");
        $("#username_num").addClass('d-none');
        $("#username_num").text('0');
        $('#log li').remove();
        save_login_chat_history();
        console.log(json)
        await eel.add_phone_contact(json)();
    } else {
        $(this).removeClass('btn-danger');
        $(this).addClass('btn-success');
        $(this).text("Запустить");
        eel.stopped('add_phone_contact') //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ТУТ КНОПКА ОТМЕНИТЬ
    }

});

window.addEventListener("beforeunload", function (e) {        
    eel.stopped('add_contact_start')
});

eel.expose(set_finished_btn);
function set_finished_btn(){
    $('#add_contact_start').removeClass('btn-danger');
    $('#add_contact_start').addClass('btn-success');
    $('#add_contact_start').text("Запустить");
}


let clear_log = 0
eel.expose(log);
function log(log_line) {
  if (clear_log == 250){
    $('#log li:first').remove();
  } else {clear_log = clear_log + 1}
  $('#log').append('<li>' + log_line + '</li>');
  $('#log_div').scrollTop($('#log_div')[0].scrollHeight);
}

function save_login_chat_history(){
    let lines = $('#get_phones').val()
    localStorage.setItem('get_phones', lines);
}
  
$('#get_login_chat_history').on('click', function(){
    let username_list = localStorage.getItem('get_phones');
    $('#get_phones').val(username_list)
});

$('#select_accounts').on('click', async function () {
    options.diapason_akk = [];
    load_accounts();
});

$('#select_accounts_apply').on('click', async function () {
    $('#select_accounts_modal').modal('hide');
    let from = 1;
    let before = $('#table_users >tbody >tr').length;
    //Запускаем цикл по всей таблице
    for (let i = from; i <= before; i++) {
        let type_bg = $('#table_users tr').eq(i).attr("class");
        if (type_bg == "bg_selected") {
        //Получаем номер телефона
        phone_user = $('#table_users tr').eq(i).children('#phone').html();
        options.diapason_akk.push(phone_user);
        }
    }
    $("#account_num").removeClass('d-none');
    $("#account_num").text(options.diapason_akk.length);
});

// eel.expose(error);
function error(text) {
    Swal.fire({
        position: 'center',
        icon: 'error',
        title: 'Ошибка',
        text: text,
        showConfirmButton: false,
        timer: 2100
    })
}